Bug 1743897 - python-astropy-healpix fails to build with Python 3.8
Summary: python-astropy-healpix fails to build with Python 3.8
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-astropy-healpix
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Christian Dersch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F32FTBFS F32FailsToInstall PYTHON38
TreeView+ depends on / blocked
 
Reported: 2019-08-20 23:14 UTC by Miro Hrončok
Modified: 2019-09-13 17:08 UTC (History)
3 users (show)

Fixed In Version: python-astropy-healpix-0.4-4.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-13 14:48:59 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2019-08-20 23:14:23 UTC
python-astropy-healpix-0.4-3.fc32 failed to rebuild with Python 3.8.

See https://koji.fedoraproject.org/koji/buildinfo?buildID=1359023

The error is:

Executing(%check): /bin/sh -e /var/tmp/rpm-tmp.Pj6NA5
+ umask 022
+ cd /builddir/build/BUILD
+ cd astropy-healpix-0.4
+ pushd /builddir/build/BUILDROOT/python-astropy-healpix-0.4-3.fc32.x86_64//usr/lib64/python3.8/site-packages
+ py.test-3.8 astropy_healpix
BUILDSTDERR: ImportError while loading conftest '/builddir/build/BUILDROOT/python-astropy-healpix-0.4-3.fc32.x86_64/usr/lib64/python3.8/site-packages/astropy_healpix/conftest.py'.
BUILDSTDERR: astropy_healpix/conftest.py:7: in <module>
BUILDSTDERR:     from astropy.tests.pytest_plugins import *
BUILDSTDERR: E   ModuleNotFoundError: No module named 'astropy.tests.pytest_plugins'
BUILDSTDERR: error: Bad exit status from /var/tmp/rpm-tmp.Pj6NA5 (%check)

This issue is blocking the Python 3.8 rebuilds. If this package won't build with 3.8, it won't be installable, along with all its dependent packages, after the side tag is merged.
Furthermore, as it fails to install, its dependent packages will fail to install and/or build as well. 


The coordinated rebuild of Python 3.8 has started in the `f32-python` side tag.

If you figure out how to rebuild this package, please don't rebuild it in regular rawhide, but use the side tag instead:

    on branch master:
    $ fedpkg build --target=f32-python

To wait for a build to show up in the side tag, do:

    $ koji wait-repo f32-python --build=<nvr>

Where <nvr> is name-version-release of the source package, e.g. python-foo-1.1-2.fc32.

An updated mock config is posted at: http://copr.fedorainfracloud.org/coprs/g/python/python3.8/

Thanks. Let us know if you need up to date info, or if you have any questions.

Comment 1 Miro Hrončok 2019-08-21 16:35:06 UTC
The f32-python side tag has been merged. In order to rebuild the package, do it in regular rawhide, but please wait until python3-3.8 is tagged:

  $ koji wait-repo f32-build --build python3-3.8.0~b3-3.fc32


If your built already started in f32-python, after it is finished, please tag it to rawhide with:

  $ koji tag-build f32-pending <nvr>

For example:

  $ koji tag-build f32-pending libreoffice-6.3.0.4-3.fc32

Thanks!

(This comment is mass posted to all bugzillas blocking the PYTHON38 tracking bug.)

Comment 2 Miro Hrončok 2019-08-21 17:29:12 UTC
(Python 3.8 has landed in the rawhide buildroot.)

Comment 3 Mamoru TASAKA 2019-09-13 14:48:59 UTC
Fixed in python-astropy-healpix-0.4-4.fc32 , with the same method as python-astroscrappy-1.0.5-16.fc32.

And now as python-astropy-healpix is fixed, python-reproject-0.4-8.fc32 , python-ccdproc-1.3.0-7.post1.fc32 also succeeded to rebuild. I expect that on next compose Astronompy spin build on rawhide will succeed.

Comment 4 Miro Hrončok 2019-09-13 17:08:07 UTC
Thank You!


Note You need to log in before you can comment on or make changes to this bug.